package com.sdtool.common.entity.system;

import com.sdtool.common.tdoc.ApiPlace;
import com.sweetfish.util.Comment;

import java.io.Serializable;

/**
 * Created by Administrator on 2017-05-25.
 * 验证码对象
 */
public class AuthCode implements Serializable {

  @Comment("原图文件名称，不拖动拼图块显示的原图")
  @ApiPlace("/user/registerCaptchaImage")
  @ApiPlace("/user/fwdCaptchaImage")
  private String sourceImage;

  @Comment("带拼图块阴影的大图文件名称")
  @ApiPlace("/user/registerCaptchaImage")
  @ApiPlace("/user/fwdCaptchaImage")
  private String bigImgage;

  @Comment("拼图块图片文件名称")
  @ApiPlace("/user/registerCaptchaImage")
  @ApiPlace("/user/fwdCaptchaImage")
  private String xyImage;

  @Comment("拼图块x位置")
  private int locationX;

  @Comment("拼图块y方向位置")
  @ApiPlace("/user/registerCaptchaImage")
  @ApiPlace("/user/fwdCaptchaImage")
  private int locationY;

  @Comment("错误码")
  private int status;

  public String getSourceImage() {
    return sourceImage;
  }

  public void setSourceImage(String sourceImage) {
    this.sourceImage = sourceImage;
  }

  public String getBigImgage() {
    return bigImgage;
  }

  public void setBigImgage(String bigImgage) {
    this.bigImgage = bigImgage;
  }

  public String getXyImage() {
    return xyImage;
  }

  public void setXyImage(String xyImage) {
    this.xyImage = xyImage;
  }

  public int getLocationX() {
    return locationX;
  }

  public void setLocationX(int locationX) {
    this.locationX = locationX;
  }

  public int getLocationY() {
    return locationY;
  }

  public void setLocationY(int locationY) {
    this.locationY = locationY;
  }

  public int getStatus() {
    return status;
  }

  public void setStatus(int status) {
    this.status = status;
  }
}
